Package org.sqlite.util

## Class QueryUtils

- java.lang.Object
- - org.sqlite.util.QueryUtils

    public class QueryUtils
    extends Object

### Constructor Summary

Constructors
`QueryUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `valuesQuery​(List<String> columns, List<List<Object>> valuesList)` Build a SQLite query using the VALUES clause to return arbitrary values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryUtils

    public QueryUtils()

### Method Detail

#### valuesQuery

    public static String valuesQuery​(List<String> columns,
                                     List<List<Object>> valuesList)

Build a SQLite query using the VALUES clause to return arbitrary values.

Parameters:
  `columns` - list of column names
  `valuesList` - values to return as rows
Returns:
  SQL query as string